@import url('./timer.css');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-family: "Roboto", sans-serif;
  line-height: 1;
}

.container {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  margin-top: 100px;
  position: relative;
  transition: all 2s ease;
}

.slider-wrapper {
  padding: 30px 0;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 2s ease;
  /* border: 1px solid black; */
  position: relative;
  /* border: 5px solid black; */
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.8);
  width: 420px;
  height: 500px;
  overflow: hidden;
  border-radius: 28px;
  gap: 20px;
}

.image-to-show {
  opacity: 1;
  width: 400px;
  height: 400px;
  position: relative;
  left: 0;
  transition: all 2s ease;
}

.images-wrapper {
  display: flex;
  justify-content: flex-start;
  position: relative;
  /* border: 1px solid rgb(255, 255, 255); */
  transition: all 2s ease-out;
  width: 100%;
  gap: 20px;
  overflow: hidden;
  left: 10px;
}

.btn {
  color: white;
  padding: 8px 12px;
  background-color: rgba(95, 106, 76, 0.5);
  border-radius: 8px;
  border: none;
  box-shadow: 2px 2px 3px 1px rgb(13, 39, 0);
  font-size: 14px;
  letter-spacing: 1px;
  cursor: pointer;
  transition: all .1s ease;
  position: absolute;
  font-weight: 600;
  z-index: 10;
}

.btn-next {
  right: 20px;
}

.btn-prev {
  left: 20px;
}

.btn-pause {
  bottom: 7px;
}

.btn-start {
  top: 7px;
}

.btn:hover {
  background-color: rgb(63, 116, 25);
}

.btn:active {
  transform: scale(0.95);
  box-shadow: 1px 1px 1px 1px rgb(0, 0, 0);
}

.btn.disabled {
  transform: scale(1);
  color: rgb(52, 52, 52);
  background-color: transparent;
  box-shadow: none;
  border: none;
  cursor: auto;
  transition: all .3s ease;
}

.btn-next::after,
.btn-start::after {
  content: '\226B';
  padding-left: 5px;
}

.btn-start.reverse::after {
  content: '';
}

.btn-start.reverse::before {
  content: '\226A';
  padding-right: 5px;
}

.btn-prev::before {
  content: '\226A';
  padding-right: 5px;
}